<?php namespace EwTools\Interfaces;

/**
 * Interface PluginPageInterface
 *
 * @link    http://infomaker.se
 * @package EwTools\Interfaces
 * @since   EwTools\Interfaces\PluginPageInterface 0.1
 */
interface PluginPageInterface {
    
    /**
     * Retrieve the slug to be use to identify the page
     *
     * @since 0.1
     * @return string
     */
    public function getSlug();
    
    /**
     * Retrieve the title of the page to be used in the menu
     *
     * @since 0.1
     * @return string
     */
    public function getTitle();
    
    /**
     * Use {add_submenu_page} to add the page to the plugin menu.
     * 
     * @param string $parent_slug
     * 
     * @since 0.1
     * @return string the menu hook_suffix
     */
    public function addToMenu( $parent_slug );
}