<?php namespace EwTools\Twig;

use Twig_Error;
use Twig_Loader_Chain;
use Twig_Loader_Filesystem;

/**
 * FilesystemLoader
 *
 * @link    http://infomaker.se
 * @package EwTools\Twig
 * @since   EwTools\Twig\FilesystemLoader 0.1
 */
class FilesystemLoader extends Twig_Loader_Filesystem {
    
    /**
     * Adds the folders containing the files to be loaded
     *
     * @param string $folder_path
     * @param string $namespace
     * @param array  $exclude
     *
     * @throws Twig_Error
     * @since 0.1
     * @return void
     */
    public function addPathAndSubfolders( $folder_path, $namespace = Twig_Loader_Filesystem::MAIN_NAMESPACE, $exclude = [] ) {
        if ( ! file_exists( $folder_path ) ) {
            throw new Twig_Error( $folder_path . " does not exist" );
        }
    
        $dir = PathFilter::setupFromPath( $folder_path, $exclude );
        
        foreach ( $dir->filtered() as $d ) {
            $this->addPath( $d, $namespace );
        }
    }
    
    /**
     * No documentation yet
     * @todo Add documentation
     *
     * @param array $array
     *
     * @since 0.1
     * @return Twig_Loader_Chain
     */
    public function getChain( array $array ) {
        return new Twig_Loader_Chain( $array );
    }
}